Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.strategy.ranking
Class CommonRanking

    java.lang.Object
      lbg.peer.strategy.ranking.CommonRanking

All Implemented Interfaces:
  Ranking

Direct Known Subclasses:
  AdaptiveMC4ConsumptionRanking, AdaptiveTCoRConsumptionRanking, ConservativeTimeStrideConsumptionRanking, FavorsConsumptionRanking, FavorsSupplyingRanking, GrantsConsumptionRanking, MC4Ranking, MCoSConsumptionRanking, MergedRanking, MTBCConsumptionRanking, MTTCConsumptionRanking, PerformanceConsumptionRanking, ReliableMLConsumptionRanking, StorageAffinityConsumptionRanking, TCaRConsumptionRanking, TCoRConsumptionRanking

    public abstract class CommonRanking

extends java.lang.Object
implements Ranking

Author:
  Cyril Briquet

Constructor Summary
`CommonRanking()`

Method Summary
`float` | `getBlacklistedPeerRatio()` Ranking implementation.
`int` | `getPeerCount()` Ranking implementation.
`abstract int` | `getRankedPeerCount()` Ranking implementation.
`float` | `getRankedPeerRatio()` Ranking implementation.
`abstract int` | `getUnrankedPeerCount()` Ranking implementation.
`float` | `getUnrankedPeerRatio()` Ranking implementation.
`abstract int[]` | `peersRanking()` Ranking implementation.
`java.lang.String` | `toString()` Ranking implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface lbg.peer.strategy.ranking.Ranking
`getBlacklistedPeerCount`

Constructor Detail

### CommonRanking

    public CommonRanking()

Method Detail

### toString

    public java.lang.String toString()

  Ranking implementation.

  Specified by:
    `toString` in interface `Ranking`
  Overrides:
    `toString` in class `java.lang.Object`

### getRankedPeerCount

    public abstract int getRankedPeerCount()

  Ranking implementation.

  Specified by:
    `getRankedPeerCount` in interface `Ranking`

### getUnrankedPeerCount

    public abstract int getUnrankedPeerCount()

  Ranking implementation.

  Specified by:
    `getUnrankedPeerCount` in interface `Ranking`

### peersRanking

    public abstract int[] peersRanking()

  Ranking implementation.

  Specified by:
    `peersRanking` in interface `Ranking`

### getRankedPeerRatio

    public float getRankedPeerRatio()

  Ranking implementation.

  Specified by:
    `getRankedPeerRatio` in interface `Ranking`

### getUnrankedPeerRatio

    public float getUnrankedPeerRatio()

  Ranking implementation.

  Specified by:
    `getUnrankedPeerRatio` in interface `Ranking`

### getBlacklistedPeerRatio

    public float getBlacklistedPeerRatio()

  Ranking implementation.

  Specified by:
    `getBlacklistedPeerRatio` in interface `Ranking`

### getPeerCount

    public int getPeerCount()

  Ranking implementation.

  Specified by:
    `getPeerCount` in interface `Ranking`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.